Name:           spatialite-tools
Version:        4.1.0
Release:        2%{?dist}
Summary:        A set of useful CLI tools for SpatiaLite

Group:          Development/Tools
License:        GPLv3+
Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
URL:            https://www.gaia-gis.it/fossil/spatialite-tools

BuildRequires:  expat-devel
BuildRequires:  freexl-devel
BuildRequires:  geos-devel
BuildRequires:  libspatialite-devel
BuildRequires:  proj-devel
BuildRequires:  readline-devel
BuildRequires:  readosm-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel

%description
Spatialite-Tools is a set of useful CLI tools for SpatiaLite.


%prep
%setup -q

# Remove unused Makefiles
rm -f Makefile-static*


%build
%configure

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING
%{_bindir}/exif_loader
%{_bindir}/shp_doctor
%{_bindir}/spatialite
%{_bindir}/spatialite_convert
%{_bindir}/spatialite_dxf
%{_bindir}/spatialite_gml
%{_bindir}/spatialite_network
%{_bindir}/spatialite_osm*
%{_bindir}/spatialite_tool


%changelog
* Tue Jun  4 2013 Volker Fröhlich <volker27@gmx.at> - 4.1.0-2
- Add dxf utility to files section

* Tue Jun  4 2013 Volker Fröhlich <volker27@gmx.at> - 4.1.0-1
- New upstream release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec  2 2012 Volker Fröhlich <volker27@gmx.at> - 4.0.0-1
- New upstream release
- Remove PPC restrictions

* Sat Aug 18 2012 Volker Fröhlich <volker27@gmx.at> - 3.1.0b-1
- Update for new release
- Update URL and source URL
- Drop LDFLAG -lm
- Exclude ppc as well

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-0.6.RC4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-0.5.RC4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 17 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.4.RC4
- Support readline
- Drop EPEL5 specific statements and definitions
- Drop unnecessary defattr
- Slightly improved description
- More explicit files section

* Fri Feb 25 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.3.RC4
- Exclude ppc64

* Fri Jan 14 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.2.RC4
- Dropped prefix from configure macro
- Corrected license
- Use macros in source URL

* Mon Dec 20 2010 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.1.RC4
- Inital packaging
